#artiste game


import pygame
from pygame.locals import *

import init, startscreen, game, words

def main():
    print 'Loading Resources...'
    init.initialize()

    print 'Loading Words...'
    words.loadwords()

    print 'Done Loading!'

    #game.gamemode = startscreen.GameMode()
    import startscreen
    game.gamemode = startscreen.GameMode()

    while game.gamemode:
        mode = game.gamemode
        while 1 and game.gamemode == mode:
            event = pygame.event.poll()
            if not event.type: break
            if event.type == QUIT:
                game.gamemode = None
                break
            mode.tick(event)
        if mode != game.gamemode: continue
        mode.tick(event)
        if game.dirty:
            pygame.display.update(game.dirty)
            game.dirty = []

    words.savewords()
    pygame.quit()




if __name__ == '__main__': main()


