#gameover
import random
import pygame
from pygame.locals import *
import game




class GameMode:
    def __init__(self):
        game.screen.blit(game.graphic['gameover'], (0,0))
        self.cheers = [game.sound['crowdandtrumpet'].play(1)]

        if game.redscore > game.bluescore:
            self.img = game.graphic['red']
        elif game.bluescore > game.redscore:
            self.img = game.graphic['blue']
        else:
            self.img = game.graphic['tie']

        self.rect = self.img.get_rect()
        self.nextpos = 320, 275
        self.nexttime = 10000

        
        game.dirty = [game.screen.get_rect()]


    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            self.start()

        elif event.type == NOEVENT:
            self.nexttime -= 1
            if not self.nexttime:
                if len(self.cheers) == 1:
                    self.cheers.append(game.sound['applause'].play())
                self.rect.center = self.nextpos
                game.screen.blit(self.img, self.rect)
                self.nexttime = 3000
                self.nextpos = random.randint(10, 630), random.randint(10, 470)
                game.dirty.append(self.rect)
            

    def start(self):
        for c in self.cheers:
            c.stop()
        self.cheers = []
        import startscreen
        game.gamemode = startscreen.GameMode()
        
