#startscreen

import pygame
from pygame.locals import *
import game


buttons = {'low': Rect(32, 260, 177, 148),
           'med': Rect(258,260,185,141),
           'high':Rect(471,260,155,156)}


class GameMode:
    def __init__(self):
        game.screen.blit(game.graphic['numpoints'], (0,0))
        game.dirty = [game.screen.get_rect()]


    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            for f, r in buttons.items():
                if r.collidepoint(event.pos):
                    getattr(self, f)()

    def nextmode(self):
        game.sound['ricochet'].play()
        import whostarts
        game.gamemode = whostarts.GameMode()

    def low(self):
        game.endscore = 9
        self.nextmode()

    def med(self):
        game.endscore = 15
        self.nextmode()

    def high(self):
        game.endscore = 21
        self.nextmode()
