#startscreen

import pygame
from pygame.locals import *
import game




class GameMode:
    def __init__(self):
        game.screen.blit(game.graphic['startscreen'], (0,0))
        game.dirty = [game.screen.get_rect()]

        game.redscore = 0
        game.bluescore = 0


    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            if Rect(0, 0, 96, 66).collidepoint(event.pos):
                self.end()
            else:
                self.start()

    def start(self):
        import numpoints
        game.sound['carstart'].play()
        game.gamemode = numpoints.GameMode()

    def end(self):
        c = game.sound['carskid'].play()
        while c.get_busy(): pygame.time.delay(1)
        game.gamemode = None
        
        
