#startscreen

import pygame
from pygame.locals import *
import game, scoreboard


buttons = {'easy': Rect(45, 120, 220, 250),
           'hard': Rect(355, 120, 220, 250)}


class GameMode:
    def __init__(self):
        game.screen.blit(game.graphic['easyhard'], (0,0))

        scoreboard.draw(0)
        game.dirty = [game.screen.get_rect()]
        

    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            for f, r in buttons.items():
                if r.collidepoint(event.pos):
                    getattr(self, f)()

    def playgame(self):
        #select word
        import paint
        game.gamemode = paint.GameMode()


    def easy(self):
        game.sound['pooldive'].play()
        game.easyhard = 0
        self.playgame()

    def hard(self):
        game.sound['pooldive'].play()
        game.easyhard = 1
        self.playgame()

        