#startscreen

import pygame
from pygame.locals import *
import game, scoreboard


buttons = {}


class GameMode:
    def __init__(self):
        game.screen.blit(game.graphic['genericbgd'], (0,0))

        start = game.graphic['starthere']
        r = start.get_rect().move(60,30)
        buttons['start'] = r
        game.screen.blit(start, r)
        game.screen.blit(game.graphic[game.whosturn], r.move(0,-35))

        callref = game.graphic['callref']
        r = callref.get_rect().move(440, 40)
        buttons['ref'] = r
        game.screen.blit(callref, r)

        scoreboard.draw(0)
        game.dirty = [game.screen.get_rect()]
        

    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            for f, r in buttons.items():
                if r.collidepoint(event.pos):
                    getattr(self, f)()

    def start(self):
        game.sound['bongodrumroll'].play()
        import easyhard
        game.gamemode = easyhard.GameMode()

    def ref(self):
        game.sound['whistle'].play()
        import referee
        game.gamemode = referee.GameMode()
   