#scoreboard

import pygame
from pygame.locals import *

import game


area = Rect(0, 360, 640, 130)
redscorepos = 180, 0
bluescorepos = 390, 0


def scoretext(score):
    text = str(score)
    img1 = game.scorefont.render(text, 1, (255, 255, 255))
    img2 = game.scorefont.render(text, 1, (0, 0, 0))
    img3 = pygame.Surface(img1.get_rect().inflate(5,5).size)
    img3.fill((10, 10, 10))
    img3.blit(img2, (10, 10))
    img3.blit(img1, (0, 0))
    #img3.convert()
    img3.set_colorkey((10, 10, 10), RLEACCEL)
    return img3


def draw(dohilite):
    screen = game.screen
    screen.blit(game.graphic['scoreboard'], area)

    r = scoretext(game.redscore)
    b = scoretext(game.bluescore)
    screen.blit(r, area.move(redscorepos))
    screen.blit(b, area.move(bluescorepos))

    if dohilite:
        if game.whosturn == 'red':
            screen.blit(game.graphic['scoreboardteam'], area.topleft)
        else:
            screen.blit(game.graphic['scoreboardteam'], area.midtop)

    game.dirty.append(area)
    