#words

datafile = 'usedwords.pickle'

import pickle, os, random
used = [[],[]]
words = [[],[]]



def loadwords():
    global used
    if os.path.isfile(datafile):
        f = open(datafile, 'r')
        used = pickle.load(f)
    else:
        used = [[],[]]

    for w in open('easy.txt').readlines():
        w = w.strip()
        if w and w not in used[0]:
            words[0].append(w)

    for w in open('hard.txt').readlines():
        w = w.strip()
        if w and w not in used[1]:
            words[1].append(w)


def savewords():
    f = open(datafile, 'w')
    pickle.dump(used, f)


def getword(difficulty):
    if not words[difficulty]: #empty list
        words[difficulty] = used[difficulty]
        used[difficulty] = []
    w = words[difficulty]
    u = used[difficulty]
    word = random.choice(w)
    w.remove(word)
    u.append(word)
    return word

        